Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451608 - Networkmanager tries to access non-allowed file
Summary: Networkmanager tries to access non-allowed file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 04:15 UTC by Torsten Ekedahl
Modified: 2008-11-02 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-02 22:12:40 UTC


Attachments (Terms of Use)

Description Torsten Ekedahl 2008-06-16 04:15:21 UTC
Description of problem:
SELinux complains at login:
SELinux is preventing nm-system-setti (NetworkManager_t) "getattr" to /dev/root
(fixed_disk_device_t). 

Version-Release number of selected component (if applicable):
0.7.0
0.9.4.svn3675.fc9
How reproducible:
I've only logged in once after the latest upgrade

Steps to Reproduce:
1. Log in
2.
3.
  
Actual results:
Complaints from setroubleshoot

Expected results:
No complaints

Additional info:
Source Context:  system_u:system_r:NetworkManager_t:s0-s0:c0.c1023Target
Context:  system_u:object_r:fixed_disk_device_t:s0Target Objects:  /dev/root [
blk_file ]Source:  nm-system-settiSource
Path:  /usr/sbin/nm-system-settingsPort:  <Unknown>Host:  homealone.math.su.seSource
RPM Packages:  NetworkManager-0.7.0-0.9.4.svn3675.fc9Target RPM
Packages:  Policy RPM:  selinux-policy-3.3.1-64.fc9Selinux Enabled:  TruePolicy
Type:  targetedMLS Enabled:  TrueEnforcing Mode:  EnforcingPlugin
Name:  catchall_fileHost Name:  homealone.math.su.sePlatform:  Linux
homealone.math.su.se 2.6.25.6-55.fc9.i686 #1 SMP Tue Jun 10 16:27:49 EDT 2008
i686 i686Alert Count:  1First Seen:  Mon 16 Jun 2008 06:03:44 AM CESTLast
Seen:  Mon 16 Jun 2008 06:03:44 AM CESTLocal
ID:  05edf400-6b7a-415b-81b7-d235fe0a4976Line Numbers:  Raw Audit Messages
:host=homealone.math.su.se type=AVC msg=audit(1213589024.200:17): avc: denied {
getattr } for pid=3693 comm="nm-system-setti" path="/dev/root" dev=tmpfs ino=335
scontext=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023
tcontext=system_u:object_r:fixed_disk_device_t:s0 tclass=blk_file
host=homealone.math.su.se type=SYSCALL msg=audit(1213589024.200:17):
arch=40000003 syscall=195 success=no exit=-13 a0=76a67d a1=bfa813ec a2=7bbeff4
a3=76a67d items=0 ppid=1 pid=3693 auid=4294967295 uid=0 gid=0 euid=0 suid=0
fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="nm-system-setti"
exe="/usr/sbin/nm-system-settings"
subj=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023 key=(null)

Comment 1 Dan Williams 2008-11-02 22:12:40 UTC
fixed in latest updates (svn4022 and later) with latest selinux-policy packages.


Note You need to log in before you can comment on or make changes to this bug.